--- src/3rdparty/chromium/net/BUILD.gn.orig	2021-12-15 16:12:54 UTC
+++ src/3rdparty/chromium/net/BUILD.gn
@@ -99,7 +99,7 @@ net_configs = [
   "//build/config/compiler:wexit_time_destructors",
 ]
 
-if (is_linux || is_chromeos) {
+if ((is_linux || is_chromeos) && !is_bsd) {
   net_configs += [ "//build/config/linux:libresolv" ]
 }
 
@@ -1261,6 +1261,16 @@ component("net") {
       ]
     }
 
+    if (is_bsd) {
+      sources -= [
+        "base/address_tracker_linux.cc",
+        "base/address_tracker_linux.h",
+        "base/network_change_notifier_linux.cc",
+        "base/network_change_notifier_linux.h",
+        "base/network_interfaces_linux.cc"
+      ]
+    }
+
     if (is_mac) {
       sources += [
         "base/network_notification_thread_mac.cc",
@@ -1397,7 +1407,7 @@ component("net") {
       }
     }
 
-    if (is_android || is_chromeos) {
+    if (is_android || is_chromeos || is_bsd) {
       sources += [
         "base/network_change_notifier_posix.cc",
         "base/network_change_notifier_posix.h",
@@ -1430,7 +1440,7 @@ component("net") {
     }
 
     # Use getifaddrs() on POSIX platforms, except Linux.
-    if (is_posix && !is_linux && !is_chromeos) {
+    if ((is_posix && !is_linux && !is_chromeos) || is_bsd) {
       sources += [
         "base/network_interfaces_getifaddrs.cc",
         "base/network_interfaces_getifaddrs.h",
@@ -4770,7 +4780,7 @@ test("net_unittests") {
   }
 
   # Use getifaddrs() on POSIX platforms, except Linux and Android.
-  if (is_posix && !is_linux && !is_chromeos && !is_android) {
+  if ((is_posix && !is_linux && !is_chromeos && !is_android) || is_bsd) {
     sources += [ "base/network_interfaces_getifaddrs_unittest.cc" ]
   }
 
